Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005123 [JEDI VCL] 00 JVCL Components minor have not tried 2010-01-24 01:56 2012-09-10 14:15
Reporter debose View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005123: TJvMemo.Transparent do almost nothing in D2010 on Vista with themes
Description The only thing that paints differently with Transparent = True - is small part of Memo in the bottom.

I checked it with different Form's color, and then with GLassFrame + SheetOfGlass for form enabled. That didn't work. Memo was always white.
Additional Information Seems like, it's known issue There is a comment in JvMemo.pas:
// ahuser: Does this really work? Under Vista I can't see a transparent memo
Tags No tags attached.
Attached Files zip file icon JvMemoTransparent_0005123.zip [^] (6,485 bytes) 2010-04-02 13:40

- Relationships

-  Notes
(0017240)
obones (administrator)
2010-03-08 15:24

Please provide the zipped sources of a sample application showing this
(0017346)
debose (reporter)
2010-04-02 13:42

Sources for test project added. (LOL)
There is a memo and 2 buttons:
1st toggles JvMemo1.Transparent property
2nd toggles form's GlassFrame.SheetOfGlass property
(0018045)
obones (administrator)
2010-11-09 14:36

Thank you for the sample,
Someone with Vista will have to test this
(0018653)
obones (administrator)
2011-06-08 12:10

Seeing this bug as well
(0019608)
obones (administrator)
2012-02-28 09:19

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2010-01-24 01:56 debose New Issue
2010-03-08 15:24 obones Note Added: 0017240
2010-03-08 15:24 obones Status new => feedback
2010-04-02 13:40 debose File Added: JvMemoTransparent_0005123.zip
2010-04-02 13:42 debose Note Added: 0017346
2010-11-09 14:36 obones Note Added: 0018045
2010-11-09 14:36 obones Status feedback => acknowledged
2011-06-08 12:10 obones Note Added: 0018653
2011-06-08 12:10 obones Status acknowledged => confirmed
2012-02-28 09:19 obones Note Added: 0019608
2012-02-28 09:19 obones Status confirmed => resolved
2012-02-28 09:19 obones Fixed in Version => Daily / SVN
2012-02-28 09:19 obones Resolution open => fixed
2012-02-28 09:19 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker